package com.pcloud.book.advertising.biz;

import com.pcloud.book.advertising.entity.AdvertisingCpaProductPackage;
import com.pcloud.common.page.PageBeanNew;
import com.pcloud.exercisebook.dto.RefundExerciseBookDTO;
import com.pcloud.facade.tradecenter.dto.ExerciseBookPayDTO;

import java.util.Map;

/**
 * (AdvertisingCpaProductPackage)表服务接口
 *
 * @author makejava
 * @since 2022-11-29 18:12:15
 */
public interface AdvertisingCpaProductPackageBiz {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    AdvertisingCpaProductPackage getById(Long id);

    /**
     * 分页查询
     */
    PageBeanNew getList(Integer currentPage, Integer numPerPage);

    /**
     * 新增数据
     *
     * @param advertisingCpaProductPackage 实例对象
     * @return 主键
     */
    Long insert(AdvertisingCpaProductPackage advertisingCpaProductPackage);

    /**
     * 修改数据
     *
     * @param advertisingCpaProductPackage 实例对象
     */
    void update(AdvertisingCpaProductPackage advertisingCpaProductPackage);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    void deleteById(Long id);

    Map<String, AdvertisingCpaProductPackage> mapAll ();

    void handlerCreateProductPackage(ExerciseBookPayDTO payDTO);

    void handlerRefundProductPackage(RefundExerciseBookDTO refundDTO);

    void testQiLiOrder();

    void testQiLiRefundOrder();
}
